[Setup]
;-- Main Setup Information
 AppName=128Gamma Encryption
 AppVerName=128Gamma 2.5A
 AppCopyright=Copyright  1995-2001 NetWorkDLS, Inc.
 DefaultDirName={pf}\128Gamma Encryption
 DefaultGroupName=128Gamma
 UninstallDisplayIcon={app}\128Gamma.Exe
 WizardSmallImageFile=Resources\128Logo.Bmp
 WizardImageFile=Resources\NetSetup.Bmp
 AppMutex=128Gamma Encryption
 AdminPrivilegesRequired=yes
 MinVersion=4.0,4.0sp5
 Uninstallable=Yes
 LicenseFile=Resources\128License.Txt
 CompressLevel = 9

;-- Windows 2000 (Support Dialog)
 AppPublisher=NetWorkDLS
 AppPublisherURL=http://www.NetWorkDLS.Com/
 AppVersion=2.0C

[UninstallRun]
 Filename: "{app}\RegFix.Exe"; Parameters: "Uninstall"

[Files]
 Source: "..\128Gamma.Exe"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"
 Source: "Help\128Gamma.Chm"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"
 Source: "Resources\128License.Txt"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"
 Source: "128Query\128Query.Exe"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"
 Source: "128Priority\Priority.Exe"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"
 Source: "RegFix\RegFix.Exe"; DestDir: "{app}"; CopyMode: "alwaysoverwrite"

[Icons]
 Name: "{group}\128Query"; Filename: "{app}\128Query.Exe"
 Name: "{group}\Executable Priority"; Filename: "{app}\Priority.Exe"
 Name: "{group}\128Gamma Help"; Filename: "{app}\128Gamma.Chm"
 Name: "{group}\UnInstall 128Gamma"; Filename: "{app}\Unins000.exe"

[Registry]
;-- Create 128Gamma "ALL FILES" Encryption Shell Extention
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption"; ValueType: string;  ValueData: "128Gamma Encryption"
 Root: HKCR; Subkey: "*\Shell\128Gamma_Encryption\Command"; ValueType: string;  ValueData: """{app}\128Gamma.Exe"" %1"

;-- Create 128Gamma "Folder" Encryption Shell Extention
 Root: HKCR; Subkey: "Directory\shell\Encrypt Folder"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "Directory\shell\Encrypt Folder\command"; ValueType: string;  ValueData: """{app}\128Gamma.Exe"" %1"

;-- Create 128Gamma Encryption File Association
 Root: HKCR; Subkey: ".128"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: ".128"; ValueType: string;  ValueData: "128File"

 Root: HKCR; Subkey: "128File"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File"; ValueType: string;  ValueName: "NeverShowExt"; ValueData:""
 Root: HKCR; Subkey: "128File"; ValueType: string;  ValueData:"Encrypted Package"
 Root: HKCR; Subkey: "128File\Shell\Open\Command"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File\Shell\Open\Command"; ValueType: string;  ValueData:"""{app}\128Gamma.Exe"" %1"

;-- Create 128Gamma Encryption "New File" Shell Extention
; Root: HKCR; Subkey: ".128\ShellNew"; Flags: uninsdeletekey noerror;
; Root: HKCR; Subkey: ".128\ShellNew"; ValueType: string;  ValueName: "NullFile"; ValueData:""

;-- Create 128Gamma Encryption DefaultIcon
 Root: HKCR; Subkey: "128File\DefaultIcon"; Flags: uninsdeletekey noerror;
 Root: HKCR; Subkey: "128File\DefaultIcon"; ValueType: string;  ValueData:"{app}\128Gamma.Exe"

;-- Delete Old "Open With" Key
 Root: HKCR; Subkey: "Unknown\shell\openas\command"; Flags: deletekey;
 Root: HKCR; Subkey: "Unknown\shell\openas"; Flags: deletekey;

;-- Create New "Open With" Key
 Root: HKCR; Subkey: "*\Shell\openas\command";
 Root: HKCR; Subkey: "*\Shell\openas\command"; ValueType: string;  ValueData: "rundll32.exe shell32.dll,OpenAs_RunDLL %1"

;-- Set "Open With" Key To Default
 Root: HKCR; Subkey: "*\Shell"; ValueType: string;  ValueData: "openas"
 
;-- Create Path Keys For Use Within 128Gamma
 Root: HKCR; Subkey: "128File\AppInfo";
 Root: HKCR; Subkey: "128File\AppInfo"; ValueType: string;  ValueName: "Path"; ValueData:"{app}"
 Root: HKCR; Subkey: "128File\AppInfo"; ValueType: string;  ValueName: "Executable"; ValueData:"{app}\128Gamma.Exe"
 Root: HKCR; Subkey: "128File\AppInfo"; ValueType: string;  ValueName: "HelpPath"; ValueData:"{app}\128Gamma.Chm"

;-- Create Dialog Information Keys For Use Within 128Gamma
 Root: HKCR; Subkey: "128File\AppInfo\PasswordDialog"; ValueType: dword;  ValueName: "TopMost"; ValueData:1
 Root: HKCR; Subkey: "128File\AppInfo\StatusDialog"; ValueType: dword;  ValueName: "TopMost"; ValueData:1

;-- Create Priority Keys For Use Within 128Gamma
 Root: HKCR; Subkey: "128File\AppInfo\Priority"; ValueType: dword;  ValueName: "ProcessBoost"; ValueData:1
 Root: HKCR; Subkey: "128File\AppInfo\Priority"; ValueType: dword;  ValueName: "ThreadBoost"; ValueData:1
 Root: HKCR; Subkey: "128File\AppInfo\Priority"; ValueType: dword;  ValueName: "Process"; ValueData:2
 Root: HKCR; Subkey: "128File\AppInfo\Priority"; ValueType: dword;  ValueName: "Thread"; ValueData:4

;-- Create Misc Information Keys For Use Within 128Gamma
 Root: HKCR; Subkey: "128File\AppInfo"; ValueType: string;  ValueName: "Version"; ValueData:"2.5"
 Root: HKCR; Subkey: "128File\AppInfo\InstallInfo"; ValueType: string;  ValueName: "User"; ValueData:"{username}"
 Root: HKCR; Subkey: "128File\AppInfo\LastRun"; ValueType: string;  ValueName: "User"; ValueData:"N/A"
 Root: HKCR; Subkey: "128File\AppInfo\LastRun"; ValueType: string;  ValueName: "Time"; ValueData:"N/A"
 Root: HKCR; Subkey: "128File\AppInfo\LastRun"; ValueType: string;  ValueName: "Date"; ValueData:"N/A"

