
/////////////////////////////////////////////////////////////////////

extern int MainDilaog (HWND hDlg, int Msg, int wParam, int lParam)
{
	static HWND SystemMenu;

	while(1) // Loop Forever
	{
		if(Msg==WM_INITDIALOG)
		{
			MainDialog_hWnd = hDlg;

			SendMessage(MainDialog_hWnd,(UINT)WM_SETTEXT,(WPARAM)0,(LPARAM)TitleCaption);
			SendMessage(MainDialog_hWnd,WM_SETICON,TRUE,(LPARAM)LoadIcon(GetWindowInstance(MainDialog_hWnd),MAKEINTRESOURCE(100)));

			SystemMenu = GetSystemMenu(MainDialog_hWnd,FALSE);
			AppendMenu(SystemMenu,MF_SEPARATOR,0,0);
			AppendMenu(SystemMenu,MF_STRING,VersionInfo,"Version");
			AppendMenu(SystemMenu,MF_STRING,GammaSignature,"Authenticate");

			Refresh(MainDialog_hWnd);

			SetTimer(MainDialog_hWnd,0,1000,NULL); //SET TIMER
			CenterWindow(MainDialog_hWnd);
			break;
		}

		if(Msg == WM_COMMAND)
		{
			if(wParam == 100) // OK (Dialog Command)
			{
				KillTimer(MainDialog_hWnd,1);
				EndDialog(MainDialog_hWnd,0);
			}
			break;
		}

		if(Msg == WM_CLOSE) //Exit (Windows Message)
		{
			KillTimer(MainDialog_hWnd,1);
			EndDialog(MainDialog_hWnd,0);
		}

		if(Msg == WM_TIMER) //Timer  (Windows Message)
		{
			Refresh(MainDialog_hWnd);
		}

		if(Msg == WM_SYSCOMMAND)
		{
			if(LOWORD(wParam) == VersionInfo)
			{
				MessageBox(MainDialog_hWnd, GammaVersion, TitleCaption, 0 + MB_ICONASTERISK + MB_TASKMODAL);
			}
			if(LOWORD(wParam) == GammaSignature)
			{
				char GammaPath[1024];
				unsigned long SizeOfGammaPath = sizeof(GammaPath);
				/* Get 128Gamma Executable File Name */
				if(GetStringValue(HKEY_CLASSES_ROOT,"128File\\AppInfo","Executable",GammaPath,SizeOfGammaPath))
				{
					if(FAccess(GammaPath,0)) // If File Exist
					{
						ShellExecute(MainDialog_hWnd,"open",GammaPath,"128GammaSignature","",SW_NORMAL);
						KillTimer(MainDialog_hWnd,1);
						EndDialog(MainDialog_hWnd,0);
					}
					else{ // If File Does Not Exist
						MessageBox(MainDialog_hWnd, "128Gamma Executable Not Found. \r\nAuthentication Failed!" ,TitleCaption,0 + MB_ICONHAND + MB_SYSTEMMODAL);
					}
				}
				else // If Registry Error Or Key Not Found
					MessageBox(MainDialog_hWnd, "Registry Key Not Found. \r\nAuthentication Failed!" ,TitleCaption,0 + MB_ICONHAND + MB_SYSTEMMODAL);
			}
		}
		break;
	}
	return 0;
}

/////////////////////////////////////////////////////////////////////

