
/////////////////////////////////////////////////////////////////////

extern void SetText (HWND hDlg, char *Txt)
{
	SendMessage(hDlg,(UINT)WM_SETTEXT,(WPARAM)0,(LPARAM)Txt);
}

/////////////////////////////////////////////////////////////////////

extern char *GetText (HWND hDlg)
{
	static int StrCnt;
	static LPSTR StrFunc[16];
	static int T;
	static char Buffer[2048];
	if (++StrCnt==16) StrCnt = 0;
	if (StrFunc[StrCnt]) free (StrFunc[StrCnt]);
	StrFunc[StrCnt] = (char*) malloc (2048);
	memset (StrFunc[StrCnt],0,2048);
	T=GetWindowTextLength(hDlg);
	GetWindowText(hDlg,Buffer,T+1);
	sprintf(StrFunc[StrCnt],"%s",Buffer);
	return StrFunc[StrCnt];
}

/////////////////////////////////////////////////////////////////////

extern void CenterWindow (HWND hWnd)
{
	static	RECT  wRect;
	static	DWORD  x;
	static	DWORD  y;
	GetWindowRect(hWnd,&wRect);
	x=(GetSystemMetrics(SM_CXSCREEN)-(wRect.right-wRect.left))/2;
	y=(GetSystemMetrics(SM_CYSCREEN)-(wRect.bottom-wRect.top+GetSystemMetrics(SM_CYCAPTION)))/2;
	SetWindowPos(hWnd,NULL,x,y,0,0,SWP_NOSIZE|SWP_NOZORDER);
}

/////////////////////////////////////////////////////////////////////

extern void RegError(HWND xDialog)
{
	KillTimer(xDialog,0);
	MessageBox (xDialog, "Either 128Gamma Is Not Installed Or \r\n There Has Been An Internal Error." ,TitleCaption,0 + MB_ICONHAND + MB_SYSTEMMODAL);
	exit(0);
}

/////////////////////////////////////////////////////////////////////

extern void Refresh(HWND xDialog)
{
	char StringBuffer[1024];
	unsigned long SizeOfStringBuffer = sizeof(StringBuffer);

	// Who Installed It ?
	if(!GetStringValue(HKEY_CLASSES_ROOT,"128File\\AppInfo\\InstallInfo","User",StringBuffer,SizeOfStringBuffer))
		RegError(xDialog);
			else
				SetText(GetDlgItem(xDialog,1000),StringBuffer);
	// What Day Was It Last Used ?
	if(!GetStringValue(HKEY_CLASSES_ROOT,"128File\\AppInfo\\LastRun","Date",StringBuffer,SizeOfStringBuffer))
		RegError(xDialog);
			else
				SetText(GetDlgItem(xDialog,1001),StringBuffer);
	// What Time Was It Last Used ?
	if(!GetStringValue(HKEY_CLASSES_ROOT,"128File\\AppInfo\\LastRun","Time",StringBuffer,SizeOfStringBuffer))
		RegError(xDialog);
			else
				SetText(GetDlgItem(xDialog,1002),StringBuffer);
	// Who Last Used It ?
	if(!GetStringValue(HKEY_CLASSES_ROOT,"128File\\AppInfo\\LastRun","User",StringBuffer,SizeOfStringBuffer))
		RegError(xDialog);
			else
				SetText(GetDlgItem(xDialog,1003),StringBuffer);
}

/////////////////////////////////////////////////////////////////////

/*
6	Check for read and write permission
4	Check for read permission
2	Check for write permission
1	Execute (ignored)
0	Check for existence of file
*/

extern BOOL FAccess (char *FileName, short Mode)
{
	if(access(FileName, Mode) == 0)
		return TRUE;
	return FALSE;
}

//////////////////////////////////////////////////////////////////////

